{% extends 'base.html.twig' %}

{% block content %}
    <ol class="breadcrumb">
        <li><a href="{{ path('homepage') }}">{{ 'breadcrumbs.home' | trans }}</a></li>
        <li><a href="{{ path('domain') }}">{{ 'breadcrumbs.domains.title' | trans }}</a></li>
        <li><a href="{{ path('domain-view', {'domain': domain.id}) }}">{{ domain.domainName }}</a></li>
    </ol>
    <div class="uk-flex uk-flex-center domain-view">
        <div class="uk-card uk-card-default uk-width-1-2@m">
            <div class="uk-card-header">
                <div class="uk-grid-small uk-flex-middle" uk-grid>
                    <div class="uk-width-expand">
                        <h3 class="uk-margin-remove-bottom">{{ domain.domainName }}</h3>
                        <p class="uk-margin-remove-top">
                            {{ 'domain.details.bought_on' | trans({'%date%': domain.registeredAt | localizeddate}) }}<br />
                            {% if domain.registeredByFrama and domain.expiresAt %}
                                {{ 'domain.details.expires_on' | trans({'%date%': domain.expiresAt | localizeddate}) }} ({{ domain.expiresAt | time_diff }})
                            {% endif %}
                        </p>
                    </div>
                </div>
            </div>
            <div class="uk-card-body">
                <ul class="uk-list uk-list-divider">
                    <li>{{ 'domain.details.source.title' | trans }} : {% if domain.registeredByFrama %}{{ 'domain.details.source.by_framasoft' | trans }}{% else %}{{ 'domain.details.source.external' | trans }}{% endif %}</li>
                    <li>{{ 'domain.details.status.title' | trans }} :{{ domain.status | domain_status | trans }}</li>
                    {% if domain.status <= 100 %}
                        <li>{{ 'domain.details.attached_to.title' | trans }}{% spaceless %}
                            {% if domain.site %}
                                {% if domain.site is blog %}
                                    <a href="https://{{ domain.site.subdomain }}.frama.site">{{ domain.site.subdomain }}.frama.site <span class="glyphicon glyphicon-new-window"></span></a>
                                {% elseif domain.site is wiki %}
                                    <a href="https://{{ domain.site.subdomain }}.frama.wiki">{{ domain.site.subdomain }}.frama.wiki <span class="glyphicon glyphicon-new-window"></span></a>
                                {% endif %}
                                <ul>
                                    <li><a href="{{ path('attach-frama-domain', {'domain': domain.id }) }}"><span class="glyphicon glyphicon-edit"></span> {{ 'domain.action.change_site' | trans }}</a></li>
                                    <li><a href="{{ path('dissociate-domain', {'domain': domain.id}) }}"><span class="glyphicon glyphicon-remove"></span> {{ 'domain.action.detach_site' | trans }}</a></li>
                                </ul>
                            {% else %}
                                {{ 'domain.list.attached_to.not' | trans }} <a href="{{ path('attach-frama-domain', {'domain': domain.id}) }}"><span class="glyphicon glyphicon-edit"></span></a>
                            {% endif %}
                            {% endspaceless %}
                        </li>
                    {% endif %}
                    {% if domain.dnsZone %}
                        <li>{{ 'domain.details.dns_zone.title' | trans }}: <a href="{{ path('info-zone', {'zone': domain.dnsZone}) }}">{{ domain.dnsZone }}</a></li>
                    {% endif %}
                    {% if domain.registeredByFrama %}
                        <li><a href="{{ path('email-index', {'domain': domain.id}) }}">{{ 'domain.details.mailboxes' | trans({'%nbMailBoxes%': nbMailBoxes}) }}</a></li>
                    {% endif %}
                </ul>
            </div>
            <div class="uk-card-footer">
                {% if domain.status <= 150 %}
                    <a href="{{ path('detach-domain', {'domain': domain.id}) }}">{{ 'domain.action.detach_domain' | trans }}</a>
                {% elseif domain.status == 200 and domain.registeredByFrama %}
                    <a href="{{ path('attach-frama-domain', {'domain': domain.id}) }}">{{ 'domain.action.rattach_domain' | trans }}</a>
                {% endif %}
                {% if domain.status == 1 %}
                    {# TODO : Allow to recreate command from domain #}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
